import org.kwis.msp.lcdui.Jlet;
import org.kwis.msp.lcdui.Display;

import org.kwis.msp.lwc.ShellComponent;
import org.kwis.msp.lwc.ButtonComponent;
import org.kwis.msp.lwc.LabelComponent;

public class ShellComponentExample extends Jlet{

	Display displayLCD ;
		

	//public HelloWIPI(){
		/*생성자 안에서는 Display 객체를 선언할 수 도 없고 Display.getDefaultDisplay()로 
		  Display 객체를 얻어 올 수 도 없다.
		   또한 생성자에서는 new 연산자를 이용하여 다른 객체를 생성할 수 없다.
		   그러나 startApp()메소드에서는 가능하다.
		   따라서 아래와 같이 하면 Error가 난다.
		   */

		//Display displayLCD = Display.getDefaultDisplay();
		//Display display ;
		//display = Display.getDefaultDisplay();
		//ShellComponent sh = new ShellComponent();
		//ButtonComponent button = new ButtonComponent("Button", null);
	//}

	protected void startApp(String[] arg0){
		
		displayLCD = Display.getDefaultDisplay();

		ShellComponent shell = new ShellComponent();
		//ShellComponent shell = new ShellComponent(false, false);

		LabelComponent labelTitleArea = new LabelComponent("Shell Title Area");
		LabelComponent labelWorkArea = new LabelComponent("Shell Work Area");
		ButtonComponent buttonCommandArea = new ButtonComponent("Shell Command Area", null);
		
		
		shell.setTitle(labelTitleArea);
		shell.addComponent(labelWorkArea);
		shell.setCommand(buttonCommandArea,true);
		
		
		//displayLCD.pushCard(shell.getCard());
		shell.show();
	}
	protected void destroyApp(boolean arg0) {

	}


}
